CVE Vulnerabilities

CVE-2015-0208

Published: Mar 19, 2015 | Modified: Nov 29, 2018
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
4.3 MEDIUM
AV:N/AC:M/Au:N/C:N/I:N/A:P
RedHat/V2
4.3 MODERATE
AV:N/AC:M/Au:N/C:N/I:N/A:P
RedHat/V3
Ubuntu

The ASN.1 signature-verification implementation in the rsa_item_verify function in crypto/rsa/rsa_ameth.c in OpenSSL 1.0.2 before 1.0.2a allows remote attackers to cause a denial of service (NULL pointer dereference and application crash) via crafted RSA PSS parameters to an endpoint that uses the certificate-verification feature.

Affected Software

Name Vendor Start Version End Version
Openssl Openssl 1.0.2 1.0.2
Openssl Openssl 1.0.2 1.0.2
Openssl Openssl 1.0.2 1.0.2
Openssl Openssl 1.0.2 1.0.2

References